<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>G4PhotonDetector Member List</h1>This is the complete list of members for <a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classG4PhotonDetector.html#af921f6e533e65912ead02b347ff3f15a">ConstructSurface</a>()</td><td><a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4PhotonDetector.html#a4e4217d1391889766e203534d6303915">ConstructVolumes</a>()</td><td><a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4PhotonDetector.html#abe2b73e772f454bfe14d6de13c370d04">DefineMaterials</a>()</td><td><a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4PhotonDetector.html#a6674e6ad4fd5ae3cd010de7e98e3a160">G4PhotonDetector</a>(G4double edge_length, G4VPhysicalVolume *mother_volume, G4String photon_detector_name, G4ThreeVector sensitive_surface_normal_relative_to_reference, G4ThreeVector sensitive_surface_position_relative_to_reference, G4VPhysicalVolume *reference_volume, G4bool searchOverlaps, PropertyToolsManager *propertyTools, GODDeSS_DataStorage *dataStorage)</td><td><a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4PhotonDetector.html#a15de8df45331202bf0fa416baa1f141e">G4PhotonDetector</a>(G4double edge_length, G4VPhysicalVolume *mother_volume, G4String photon_detector_name, G4ThreeVector sensitive_surface_normal_relative_to_reference, G4ThreeVector sensitive_surface_position_relative_to_reference, G4VPhysicalVolume *reference_volume, G4bool searchOverlaps, PropertyToolsManager *propertyTools, GODDeSS_DataStorage *dataStorage, G4Transform3D replication_transf)</td><td><a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4PhotonDetector.html#a8852eef237e811f926aa8a7d05daaac1">GetCoating_logicalVolume</a>()</td><td><a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4PhotonDetector.html#a6c12e5ff747259e08d0760140782318d">GetCoating_physicalVolume</a>()</td><td><a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4PhotonDetector.html#a12a7a1da9badf7511777ce15613bc112">GetCoating_solidVolume</a>()</td><td><a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4PhotonDetector.html#aafa1158798da90e88ce324a0ffffc0b7">GetCoatingDimensions</a>()</td><td><a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4PhotonDetector.html#a8b98404d6ee01a4e0da7381925fcbb47">GetCoatingOpticalSurface</a>()</td><td><a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4PhotonDetector.html#adfcad6877f941ff6b6649f4db95c782e">GetMotherVolume_physicalVolume</a>()</td><td><a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4PhotonDetector.html#a30b433429d08a86aba0256ae1fd14c16">GetPhotonDetectorMaterial</a>()</td><td><a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4PhotonDetector.html#ab9a60c39bb059a79a10eb9a274b4d8c7">GetPhotonDetectorName</a>()</td><td><a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4PhotonDetector.html#af41e64a151c2c50dbf7beb1d63e9609b">GetPhotonDetectorTransformation</a>()</td><td><a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4PhotonDetector.html#a52e81d0f2e6dea6b307c8d78939a79ea">GetSensitiveVolume_logicalVolume</a>()</td><td><a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4PhotonDetector.html#a539df81b6de58f6f052406b517c3ad97">GetSensitiveVolume_physicalVolume</a>()</td><td><a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4PhotonDetector.html#a6db29885cc9f889c81444cdc783053ad">GetSensitiveVolume_solidVolume</a>()</td><td><a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4PhotonDetector.html#aedad1bde573b631e27e07a29f9a18c78">GetSensitiveVolumeDimensions</a>()</td><td><a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4PhotonDetector.html#a595f3621cfd1993fbb48794e0251445e">GetSensitiveVolumeOpticalSurface</a>()</td><td><a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4PhotonDetector.html#a918b6cb83f1707b12f7d6b8762b9437b">GetSensitiveVolumeRelativeSurfaceNormal</a>()</td><td><a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4PhotonDetector.html#a171aeb7ed534e8351191437097bbae36">GetSensitiveVolumeRelativeSurfacePosition</a>()</td><td><a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classG4PhotonDetector.html#af581b44e901f328ffc362bd36aa27e05">~G4PhotonDetector</a>()</td><td><a class="el" href="classG4PhotonDetector.html">G4PhotonDetector</a></td><td><code> [inline]</code></td></tr>
</table></div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 3 Feb 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
